%define		module	PyQt5-sip
Summary:	The sip module support for PyQt5
Name:		python3-%{module}
Version:	12.13.0
Release:	1
Epoch:		2
License:	GPL v3
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/MODULE/
Source0:	https://files.pythonhosted.org/packages/source/P/PyQt5_sip/PyQt5_sip-%{version}.tar.gz
# Source0-md5:	9f268042ea8a90409e1930a46486d269
URL:		https://www.riverbankcomputing.com/software/sip/
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The sip extension module provides support for the PyQt5 package.

%package apidocs
Summary:	API documentation for Python %{module} module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona %{module}
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python %{module} module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona %{module}.

%prep
%setup -q -n PyQt5_sip-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py3_sitedir}/PyQt5/*.so
%{py3_sitedir}/PyQt5_sip-%{version}-py*.egg-info
%changelog
* Mon Oct 30 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-PyQt5-sip.git;a=log;h=master

* Mon Oct 30 2023 Jan Palus <atler@pld-linux.org> 4ac9a13
- up to 12.13.0

* Mon Jul 24 2023 Jan Palus <atler@pld-linux.org> 1186be4
- up to 12.12.2

* Mon Jul 24 2023 Jan Palus <atler@pld-linux.org> b9a2d18
- BR: python3-setuptools

* Fri Apr 21 2023 Jan Palus <atler@pld-linux.org> 6f2f0ca
- up to 12.12.1

* Mon Apr 10 2023 Jan Palus <atler@pld-linux.org> 608dde6
- up to 12.12.0

* Sun Jan 29 2023 Jan Palus <atler@pld-linux.org> 67840b0
- rpm version for noarch subpackage

* Sun Jan 29 2023 Jan Palus <atler@pld-linux.org> a5274ad
- up to 12.11.1

* Thu Jun 30 2022 Jan Rękorajski <baggins@pld-linux.org> e6a7736
- rel 1

* Thu Jun 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3a218ec
- add epoch to be able to update from sip 4.x

* Thu Jun 30 2022 Jan Rękorajski <baggins@pld-linux.org> 40a9ac2
- new

